当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [已解决]自已编译Intel的新驱动2.6.0出错
帖子发表于 : 2009-03-09 13:27 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
从官网下载回来了Drm2.4.5的源码包,可以编译成功。
但是下回来的Intel2.6.0的驱动就编译不成功(U8042的系统,845G的集成显卡,编译2.5.1可以成功)! :em20
Make时有以下报错,不知是何原因,请朋友们指教。 :em01
........
mv -f .deps/i830_io.Tpo .deps/i830_io.Plo
../doltcompile gcc -DHAVE_CONFIG_H -I. -I.. -I/usr/include/xorg -I/usr/include/pixman-1 -I/usr/local/include -I/usr/local/include/drm -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-strict-aliasing -I/usr/include/xorg -I/usr/include/pixman-1 -I/usr/local/include -I/usr/local/include/drm -I/usr/include/X11/dri -I../uxa -DI830_XV -DI830_USE_XAA -DI830_USE_EXA -g -O2 -MT i830_lvds.lo -MD -MP -MF .deps/i830_lvds.Tpo -c -o i830_lvds.lo i830_lvds.c
i830_lvds.c: 在函数‘i830_lvds_get_modes’中:
i830_lvds.c:827: 错误: ‘DS_VENDOR’未声明 (在此函数内第一次使用)
i830_lvds.c:827: 错误: (即使在一个函数内多次出现,每个未声明的标识符在其
i830_lvds.c:827: 错误: 所在的函数内也只报告一次。)
make[4]: *** [i830_lvds.lo] 错误 1
make[4]:正在离开目录 `/tmp/xf86-video-intel-2.6.0/src'
make[3]: *** [all-recursive] 错误 1
make[3]:正在离开目录 `/tmp/xf86-video-intel-2.6.0/src'
make[2]: *** [all] 错误 2
make[2]:正在离开目录 `/tmp/xf86-video-intel-2.6.0/src'
make[1]: *** [all-recursive] 错误 1
make[1]:正在离开目录 `/tmp/xf86-video-intel-2.6.0'
make: *** [all] 错误 2
jxys04ub@jxys04pc:/tmp/xf86-video-intel-2.6.0$

编译问题已解决,但安装后X启动不正常,又退回老驱动2.5.1,这个是正常的。


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


最后由 wangdu2002 编辑于 2009-03-09 20:17,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: [已解决]自已编译Intel的新驱动2.6.0出错
帖子发表于 : 2009-03-09 18:46 
头像

注册: 2007-10-23 12:54
帖子: 1689
送出感谢: 0 次
接收感谢: 13
我刚编译了 2.6.3 的包,在 855GM 上是正常的。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: [已解决]自已编译Intel的新驱动2.6.0出错
帖子发表于 : 2009-03-09 20:20 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
AutoXBC 写道:
我刚编译了 2.6.3 的包,在 855GM 上是正常的。


楼上兄弟的包是在哪里下的,我看到的包最新才是2.6.0啊!能给个链接去看下吗? :em03


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
4 楼 
 文章标题 : Re: [已解决]自已编译Intel的新驱动2.6.0出错
帖子发表于 : 2009-03-09 20:27 
头像

注册: 2007-10-23 12:54
帖子: 1689
送出感谢: 0 次
接收感谢: 13
http://xorg.freedesktop.org/archive/individual/driver/

另外我内核是 2.6.28-7 mainline,不知道是否和这个有关系。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: [已解决]自已编译Intel的新驱动2.6.0出错
帖子发表于 : 2009-03-09 20:47 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
多谢兄弟的链接。 :em11
内核不同,应该不会编译失败,很有可能是8042系统的一些库不匹配或驱动源码的Bug。 :em20

反正老驱动能用,就将就吧!8042还是慢了点,打算下个月把这台机器也装上904, :em05
到时再装兄弟你链接给的2.6.3驱动。 :em06


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
6 楼 
 文章标题 : Re: [已解决]自已编译Intel的新驱动2.6.0出错
帖子发表于 : 2009-03-09 20:59 
头像

注册: 2007-10-23 12:54
帖子: 1689
送出感谢: 0 次
接收感谢: 13
我也是 8.04.2。 :em09


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译